import 'package:flutter/widgets.dart';

class MusicPlayer extends StatefulWidget {
  const MusicPlayer(
      {super.key,
      required this.width,
      required this.height,
      this.padding,
      this.borderRadius,
      this.text,
      this.color,
      this.textColor});

  final double width;
  final double height;
  final EdgeInsetsGeometry? padding;
  final BorderRadiusGeometry? borderRadius;
  final String? text;
  final Color? color;
  final Color? textColor;

  @override
  State<MusicPlayer> createState() => _MusicPlayerState();
}

class _MusicPlayerState extends State<MusicPlayer> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: widget.width,
      height: widget.height,
      padding: widget.padding,
      decoration:
          BoxDecoration(borderRadius: widget.borderRadius, color: widget.color),
      child: Center(
          child: Text(
        "${widget.text}",
        style: TextStyle(color: widget.textColor),
      )),
    );
  }
}
